package pxds.apch.ldfl.lijc

import android.content.Intent
import android.graphics.Color
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.blankj.utilcode.util.SPUtils
import com.test.basd.supercleanermax.R
import com.test.basd.supercleanermax.databinding.HimbmvBinding
import pxds.lmmd.zmwf.Bpfw
import pxds.lmmd.zmwf.Khko.setTrackedOnClickListener
import pxds.lmmd.zmwf.Khko.string
import pxds.lmmd.zmwf.jyyf.hwbn.wzxb.Utdc
import kotlin.random.Random

class Xxkn : Bpfw<HimbmvBinding>() {

    override val binding: HimbmvBinding by lazy {
        HimbmvBinding.inflate(layoutInflater)
    }

    override fun initView() {
        BarUtils.setStatusBarLightMode(this, true)
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())
        binding.wmdtwff.imageAssetsFolder = R.string.ޟލޣކޙ_D.string()
        binding.wmdtwff.setAnimation(R.string.ޓޒޒޔޅ_D.string())
        binding.wmdtwff.playAnimation()
        SPUtils.getInstance().put(R.string.ޢޛކޏޔ_D.string(), true)
        binding.root.postDelayed({
            Utdc.showInterstitialAd(this) {
                startActivity(Intent(this, Kpde::class.java))
                finish()
            }
        }, Random.nextLong(2500, 4000))
        binding.fkvfnkh.setTrackedOnClickListener {
            startActivity(Intent(this, Kpde::class.java))
            finish()
        }
        binding.qioumbw.setTrackedOnClickListener {
            finishToMain()
        }
    }
}